Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.sql
Class AbstractRow

    java.lang.Object
      |
      +--kodo.jdbc.sql.AbstractRow

All Implemented Interfaces:
  Row

Direct Known Subclasses:
  StateImageVersionIndicator.CustomUpdate

public abstract class AbstractRow
extends Object
implements Row

Abstract `Row` implementation that funnels all methods to the `setObjectInternal(kodo.jdbc.schema.Column, java.lang.Object, int, java.lang.Object)` and `whereObjectInternal(kodo.jdbc.schema.Column, java.lang.Object, int, java.lang.Object)` functions.

Fields inherited from interface kodo.jdbc.sql.Row
`ACTION_DELETE, ACTION_INSERT, ACTION_UNKNOWN, ACTION_UPDATE`

Constructor Summary
`AbstractRow(Table table, int action)` Constructor.

Method Summary
`protected void` | `flushJoinValues(KodoStateManager to, Column[] toCols, Column[] fromCols, boolean set, int priority)` Flush the given instance value to the given columns.
`int` | `getAction()` Return the action for this row.
`Object` | `getFailedObject()` This implementation returns null by default; override to track failed objects.
`KodoStateManager` | `getPrimaryKey()` This implementation returns null by default; override to track owning instances.
`Table` | `getTable()` Return the table for this row.
`void` | `setArray(Column col, Array val)` Set the value of the given column in this row.
`void` | `setAsciiStream(Column col, InputStream val, int length)` Set the value of the given column in this row.
`void` | `setBigDecimal(Column col, BigDecimal val)` Set the value of the given column in this row.
`void` | `setBigInteger(Column col, BigInteger val)` Set the value of the given column in this row.
`void` | `setBinaryStream(Column col, InputStream val, int length)` Set the value of the given column in this row.
`void` | `setBlob(Column col, Blob val)` Set the value of the given column in this row.
`void` | `setBoolean(Column col, boolean val)` Set the value of the given column in this row.
`void` | `setByte(Column col, byte val)` Set the value of the given column in this row.
`void` | `setBytes(Column col, byte[] val)` Set the value of the given column in this row.
`void` | `setChar(Column col, char val)` Set the value of the given column in this row.
`void` | `setCharacterStream(Column col, Reader val, int length)` Set the value of the given column in this row.
`void` | `setClob(Column col, Clob val)` Set the value of the given column in this row.
`void` | `setDate(Column col, Date val)` Set the value of the given column in this row.
`void` | `setDate(Column col, Date val, Calendar cal)` Set the value of the given column in this row.
`void` | `setDouble(Column col, double val)` Set the value of the given column in this row.
`void` | `setFailedObject(Object failed)` This implementation throws an exception by default; override to track failed objects.
`void` | `setFloat(Column col, float val)` Set the value of the given column in this row.
`void` | `setForeignKey(ForeignKey fk, KodoStateManager sm)` Set the value of the given foreign key to the given object.
`void` | `setInt(Column col, int val)` Set the value of the given column in this row.
`void` | `setLocale(Column col, Locale val)` Set the value of the given column in this row.
`void` | `setLong(Column col, long val)` Set the value of the given column in this row.
`void` | `setNull(Column col)` Set the value of the given column in this row.
`void` | `setObject(Column col, Object val, int metaType, Object arg)` Set the value of the given column in this row.
`protected abstract void` | `setObjectInternal(Column col, Object val, int metaType, Object arg)` Set the given column.
`void` | `setPrimaryKey(KodoStateManager sm)` Set the primary key to represent the given object.
`void` | `setShort(Column col, short val)` Set the value of the given column in this row.
`void` | `setString(Column col, String val)` Set the value of the given column in this row.
`void` | `setTime(Column col, Time val, Calendar cal)` Set the value of the given column in this row.
`void` | `setTimestamp(Column col, Timestamp val, Calendar cal)` Set the value of the given column in this row.
`protected void` | `toSQL(Column col, Object val, int type, Object arg, DBDictionary dict, PreparedStatement stmnt, int idx)` Translates the given value to a prepared parameter.
`void` | `whereArray(Column col, Array val)` Set an equality condition on the value of the given column in this row.
`void` | `whereAsciiStream(Column col, InputStream val, int length)` Set an equality condition on the value of the given column in this row.
`void` | `whereBigDecimal(Column col, BigDecimal val)` Set an equality condition on the value of the given column in this row.
`void` | `whereBigInteger(Column col, BigInteger val)` Set an equality condition on the value of the given column in this row.
`void` | `whereBinaryStream(Column col, InputStream val, int length)` Set an equality condition on the value of the given column in this row.
`void` | `whereBlob(Column col, Blob val)` Set an equality condition on the value of the given column in this row.
`void` | `whereBoolean(Column col, boolean val)` Set an equality condition on the value of the given column in this row.
`void` | `whereByte(Column col, byte val)` Set an equality condition on the value of the given column in this row.
`void` | `whereBytes(Column col, byte[] val)` Set an equality condition on the value of the given column in this row.
`void` | `whereChar(Column col, char val)` Set an equality condition on the value of the given column in this row.
`void` | `whereCharacterStream(Column col, Reader val, int length)` Set an equality condition on the value of the given column in this row.
`void` | `whereClob(Column col, Clob val)` Set an equality condition on the value of the given column in this row.
`void` | `whereDate(Column col, Date val)` Set an equality condition on the value of the given column in this row.
`void` | `whereDate(Column col, Date val, Calendar cal)` Set an equality condition on the value of the given column in this row.
`void` | `whereDouble(Column col, double val)` Set an equality condition on the value of the given column in this row.
`void` | `whereFloat(Column col, float val)` Set an equality condition on the value of the given column in this row.
`void` | `whereForeignKey(ForeignKey fk, KodoStateManager sm)` Set the foreign key equality criteria to link to the given object.
`void` | `whereInt(Column col, int val)` Set an equality condition on the value of the given column in this row.
`void` | `whereLocale(Column col, Locale val)` Set an equality condition on the value of the given column in this row.
`void` | `whereLong(Column col, long val)` Set an equality condition on the value of the given column in this row.
`void` | `whereNull(Column col)` Set an equality condition on the value of the given column in this row.
`void` | `whereObject(Column col, Object val, int metaType, Object arg)` Set an equality condition on the value of the given column in this row.
`protected abstract void` | `whereObjectInternal(Column col, Object val, int metaType, Object arg)` Add a where condition.
`void` | `wherePrimaryKey(KodoStateManager sm)` Set the primary key equality criteria for this row.
`void` | `whereShort(Column col, short val)` Set an equality condition on the value of the given column in this row.
`void` | `whereString(Column col, String val)` Set an equality condition on the value of the given column in this row.
`void` | `whereTime(Column col, Time val, Calendar cal)` Set an equality condition on the value of the given column in this row.
`void` | `whereTimestamp(Column col, Timestamp val, Calendar cal)` Set an equality condition on the value of the given column in this row.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractRow

    public AbstractRow(Table table,
                       int action)

  Constructor.
  Parameters:
    `table` - the table the row is a part of
    `action` - the action on the row

Method Detail

### getTable

    public Table getTable()

  Description copied from interface: `Row`
  Return the table for this row.
  Specified by:
    `getTable` in interface `Row`

### getAction

    public int getAction()

  Description copied from interface: `Row`
  Return the action for this row.
  Specified by:
    `getAction` in interface `Row`

### getPrimaryKey

    public KodoStateManager getPrimaryKey()

  This implementation returns null by default; override to track owning instances.
  Specified by:
    `getPrimaryKey` in interface `Row`

### getFailedObject

    public Object getFailedObject()

  This implementation returns null by default; override to track failed objects.
  Specified by:
    `getFailedObject` in interface `Row`

### setFailedObject

    public void setFailedObject(Object failed)

  This implementation throws an exception by default; override to track failed objects.
  Specified by:
    `setFailedObject` in interface `Row`

### setPrimaryKey

    public void setPrimaryKey(KodoStateManager sm)
                       throws SQLException

  Description copied from interface: `Row`
  Set the primary key to represent the given object.
  Specified by:
    `setPrimaryKey` in interface `Row`

### wherePrimaryKey

    public void wherePrimaryKey(KodoStateManager sm)
                         throws SQLException

  Description copied from interface: `Row`
  Set the primary key equality criteria for this row.
  Specified by:
    `wherePrimaryKey` in interface `Row`

### setForeignKey

    public void setForeignKey(ForeignKey fk,
                              KodoStateManager sm)
                       throws SQLException

  Description copied from interface: `Row`
  Set the value of the given foreign key to the given object.
  Specified by:
    `setForeignKey` in interface `Row`

### whereForeignKey

    public void whereForeignKey(ForeignKey fk,
                                KodoStateManager sm)
                         throws SQLException

  Description copied from interface: `Row`
  Set the foreign key equality criteria to link to the given object.
  Specified by:
    `whereForeignKey` in interface `Row`

### flushJoinValues

    protected void flushJoinValues(KodoStateManager to,
                                   Column[] toCols,
                                   Column[] fromCols,
                                   boolean set,
                                   int priority)
                            throws SQLException

  Flush the given instance value to the given columns. Note that foreign keys may include columns also mapped by simple values. We use a priority mechanism to ensure that we do not let the nulling of a foreign key null columns also owned by simple values.
  Parameters:
    `to` - the instance being joined to
    `toCols` - the columns being joined to
    `fromCols` - the columns being joined from
    `set` - whether this should be flushed as an update or as a where condition
    `priority` - the column priority to ensure

### setArray

    public void setArray(Column col,
                         Array val)
                  throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setArray` in interface `Row`

### setAsciiStream

    public void setAsciiStream(Column col,
                               InputStream val,
                               int length)
                        throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setAsciiStream` in interface `Row`

### setBigDecimal

    public void setBigDecimal(Column col,
                              BigDecimal val)
                       throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setBigDecimal` in interface `Row`

### setBigInteger

    public void setBigInteger(Column col,
                              BigInteger val)
                       throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setBigInteger` in interface `Row`

### setBinaryStream

    public void setBinaryStream(Column col,
                                InputStream val,
                                int length)
                         throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setBinaryStream` in interface `Row`

### setBlob

    public void setBlob(Column col,
                        Blob val)
                 throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setBlob` in interface `Row`

### setBoolean

    public void setBoolean(Column col,
                           boolean val)
                    throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setBoolean` in interface `Row`

### setByte

    public void setByte(Column col,
                        byte val)
                 throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setByte` in interface `Row`

### setBytes

    public void setBytes(Column col,
                         byte[] val)
                  throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setBytes` in interface `Row`

### setChar

    public void setChar(Column col,
                        char val)
                 throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setChar` in interface `Row`

### setCharacterStream

    public void setCharacterStream(Column col,
                                   Reader val,
                                   int length)
                            throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setCharacterStream` in interface `Row`

### setClob

    public void setClob(Column col,
                        Clob val)
                 throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setClob` in interface `Row`

### setDate

    public void setDate(Column col,
                        Date val)
                 throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setDate` in interface `Row`

### setDate

    public void setDate(Column col,
                        Date val,
                        Calendar cal)
                 throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setDate` in interface `Row`

### setDouble

    public void setDouble(Column col,
                          double val)
                   throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setDouble` in interface `Row`

### setFloat

    public void setFloat(Column col,
                         float val)
                  throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setFloat` in interface `Row`

### setInt

    public void setInt(Column col,
                       int val)
                throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setInt` in interface `Row`

### setLong

    public void setLong(Column col,
                        long val)
                 throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setLong` in interface `Row`

### setLocale

    public void setLocale(Column col,
                          Locale val)
                   throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setLocale` in interface `Row`

### setNull

    public void setNull(Column col)
                 throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setNull` in interface `Row`

### setShort

    public void setShort(Column col,
                         short val)
                  throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setShort` in interface `Row`

### setString

    public void setString(Column col,
                          String val)
                   throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setString` in interface `Row`

### setTime

    public void setTime(Column col,
                        Time val,
                        Calendar cal)
                 throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setTime` in interface `Row`

### setTimestamp

    public void setTimestamp(Column col,
                             Timestamp val,
                             Calendar cal)
                      throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setTimestamp` in interface `Row`

### whereArray

    public void whereArray(Column col,
                           Array val)
                    throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereArray` in interface `Row`

### whereAsciiStream

    public void whereAsciiStream(Column col,
                                 InputStream val,
                                 int length)
                          throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereAsciiStream` in interface `Row`

### whereBigDecimal

    public void whereBigDecimal(Column col,
                                BigDecimal val)
                         throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereBigDecimal` in interface `Row`

### whereBigInteger

    public void whereBigInteger(Column col,
                                BigInteger val)
                         throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereBigInteger` in interface `Row`

### whereBinaryStream

    public void whereBinaryStream(Column col,
                                  InputStream val,
                                  int length)
                           throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereBinaryStream` in interface `Row`

### whereBlob

    public void whereBlob(Column col,
                          Blob val)
                   throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereBlob` in interface `Row`

### whereBoolean

    public void whereBoolean(Column col,
                             boolean val)
                      throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereBoolean` in interface `Row`

### whereByte

    public void whereByte(Column col,
                          byte val)
                   throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereByte` in interface `Row`

### whereBytes

    public void whereBytes(Column col,
                           byte[] val)
                    throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereBytes` in interface `Row`

### whereChar

    public void whereChar(Column col,
                          char val)
                   throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereChar` in interface `Row`

### whereCharacterStream

    public void whereCharacterStream(Column col,
                                     Reader val,
                                     int length)
                              throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereCharacterStream` in interface `Row`

### whereClob

    public void whereClob(Column col,
                          Clob val)
                   throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereClob` in interface `Row`

### whereDate

    public void whereDate(Column col,
                          Date val)
                   throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereDate` in interface `Row`

### whereDate

    public void whereDate(Column col,
                          Date val,
                          Calendar cal)
                   throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereDate` in interface `Row`

### whereDouble

    public void whereDouble(Column col,
                            double val)
                     throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereDouble` in interface `Row`

### whereFloat

    public void whereFloat(Column col,
                           float val)
                    throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereFloat` in interface `Row`

### whereInt

    public void whereInt(Column col,
                         int val)
                  throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereInt` in interface `Row`

### whereLong

    public void whereLong(Column col,
                          long val)
                   throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereLong` in interface `Row`

### whereLocale

    public void whereLocale(Column col,
                            Locale val)
                     throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereLocale` in interface `Row`

### whereNull

    public void whereNull(Column col)
                   throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereNull` in interface `Row`

### whereShort

    public void whereShort(Column col,
                           short val)
                    throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereShort` in interface `Row`

### whereString

    public void whereString(Column col,
                            String val)
                     throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereString` in interface `Row`

### whereTime

    public void whereTime(Column col,
                          Time val,
                          Calendar cal)
                   throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereTime` in interface `Row`

### whereTimestamp

    public void whereTimestamp(Column col,
                               Timestamp val,
                               Calendar cal)
                        throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereTimestamp` in interface `Row`

### setObject

    public void setObject(Column col,
                          Object val,
                          int metaType,
                          Object arg)
                   throws SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.
  Specified by:
    `setObject` in interface `Row`
  Following copied from interface: `kodo.jdbc.sql.Row`
  Parameters:
    `col` - the column being set
    `val` - the value for the column
    `metaType` - one of the constants from `FieldMapping` indicating the type of the supplied value
    `arg` - some JDBC types can use additional arguments

### whereObject

    public void whereObject(Column col,
                            Object val,
                            int metaType,
                            Object arg)
                     throws SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.
  Specified by:
    `whereObject` in interface `Row`
  Following copied from interface: `kodo.jdbc.sql.Row`
  Parameters:
    `col` - the column being set
    `val` - the value for the column
    `metaType` - one of the constants from `FieldMapping` indicating the type of the supplied value
    `arg` - some JDBC types can use additional arguments

### setObjectInternal

    protected abstract void setObjectInternal(Column col,
                                              Object val,
                                              int metaType,
                                              Object arg)
                                       throws SQLException

  Set the given column.
  See Also:
    `Row.setObject(kodo.jdbc.schema.Column, java.lang.Object, int, java.lang.Object)`

### whereObjectInternal

    protected abstract void whereObjectInternal(Column col,
                                                Object val,
                                                int metaType,
                                                Object arg)
                                         throws SQLException

  Add a where condition.
  See Also:
    `Row.whereObject(kodo.jdbc.schema.Column, java.lang.Object, int, java.lang.Object)`

### toSQL

    protected void toSQL(Column col,
                         Object val,
                         int type,
                         Object arg,
                         DBDictionary dict,
                         PreparedStatement stmnt,
                         int idx)
                  throws SQLException

  Translates the given value to a prepared parameter.
  Parameters:
    `col` - the column being set
    `val` - the value of the column
    `type` - the field mapping type code for the value
    `arg` - the extra arg passed to the set/whereObject method, if any
    `dict` - the dictionary in use
    `stmnt` - the prepared statement to parameterize
    `idx` - the index of the parameter in the prepared statement

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.